function val = CCV(alg)
%CCV    Does alg use constrained cost variables, what kind.
%   val = CCV(alg) returns TRUE if the algorithm uses constrained cost, in
%   other words, puts the objective function info into the constraints.
%   The value returned is 'Q' if the cost variables are constrained by a
%   quadratic cost function, and 'P' if the cost is piece-wise linear.

%   MATPOWER Version 1.0
%   by Ray Zimmerman, PSERC Cornell    9/16/97
%   Copyright (c) 1997 by Power System Engineering Research Center (PSERC)
%   See http://www.pserc.cornell.edu/ for more info.

if alg == 102 | alg == 103
	val = 'Q';
elseif alg == 200 | alg == 201
	val = 'P';
else
	val = '';
end

return;
